VCMD0028040200000000COMPONENT          
Node "rSimResource"
{
Name "ShiftFrame"
Id 1
NodeClass 
{
Id 1
Feature "rFrameFeature"
{
Name "Frame"

Visible 1
Value 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 
UseAsGuide 1
}
Feature "rPrimitiveBoxFeature"
{
Name "Block"

Visible 1
Length 
{
  Expression "100.00 {mm}"
}

Width 
{
  Expression "100.00 {mm}"
}

Height 
{
  Expression "100.00 {mm}"
}

}
VCID "6baee30d-73b2-4672-b25d-e364a340f670"
}
Functionality "rSimBoolSignal"
{
Id 1
Name "ShiftFrame"
Connections
{
"PythonScript"
}
AutomaticReset 1
}
Functionality "rSimBoolSignal"
{
Id 2
Name "ResetFrame"
Connections
{
"PythonScript"
}
AutomaticReset 1
}
Functionality "rPythonScript"
{
Id 3
Name "PythonScript"
Script "from vcScript import *
\nimport vcMatrix
\n
\napp = getApplication()
\ncomp = getComponent()\n\ndef OnSignal( signal ):
\n  if signal.Name == \"ShiftFrame\" and signal.Value:
\n    print 'Shift'
\n    f = comp.findFeature(\"Frame\")
\n    mat = f.PositionMatrix   
\n    mat.translateRel(0.0,0.0,10.0)
\n    f.PositionMatrix = mat
\n    
\n  elif signal.Name == \"ResetFrame\" and signal.Value:
\n    print 'Reset'
\n    f = comp.findFeature(\"Frame\")
\n    mat = vcMatrix.new()
\n    f.PositionMatrix = mat
\n  comp.rebuild()
\n  app.render()\n\n\n"
CompatibilityMode 0
}
VCID 6baee30d-73b2-4672-b25d-e364a340f670
OriginalUri vcid:6baee30d-73b2-4672-b25d-e364a340f670
Revision 0
Location 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 
ActiveSimulationLevel detailed
BOMname  "ShiftFrame"

BOMdescription  "ShiftFrame"

Category  ""

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
}
}
